Hilfe bei der Installation von Matplotlib

MBProStudent

Neues Mitglied
Thread Starter
Registriert
04.09.2008
Beiträge
14
Hallo bräuchte hilfe beim Installieren.

Wenn ich im Terminal den Befehl "sudo easy_install matplotlib" eingebe
dann wird matplotlib runtergeladen aber bekomme dann folgenden Fehler:

Running matplotlib-0.98.3/setup.py -q bdist_egg --dist-dir /tmp/easy_install-dwipiO/matplotlib-0.98.3/egg-dist-tmp-FQ2nXi
============================================================================
BUILDING MATPLOTLIB
matplotlib: 0.98.3
python: 2.5.1 (r251:54863, Jul 23 2008, 11:00:16) [GCC
4.0.1 (Apple Inc. build 5465)]
platform: darwin

REQUIRED DEPENDENCIES
* numpy 1.1 or later is required; you have 1.0.1


Danach hab ich numpy-1.2.1-py2.5-macosx10.5.dmg runtergeladen und installiert.
Bekomme aber vom Terminal immer noch die gleiche Fehlermeldung das numpy 1.0.1 intalliert ist.
Was kann ich machen?

danke
 
Zuletzt bearbeitet:

Darii

Aktives Mitglied
Registriert
24.02.2004
Beiträge
2.092
Versuchs mal mit

Code:
sudo easy_install -U numpy

Wenn das nicht klappt, guck mal ob in /Library/Python/2.5/site-packages/ zwei verschiedene numpy-Versionen rumliegen.

Ich weiß nicht, wie du numpy vorher installiert hast, aber es ist grundsätzlich immer eine schlechte Idee irgendwelche Abhängigkeiten auf verschiedene Arten zu installieren, das kann klappen muss aber nicht. ;)

Edit: Wollte gerade mal meine eigene Matplotlib aktualisieren. Da hängt anscheinend wirklich noch eine alte Version im Systemverzeichnis rum, keine Ahnung warum Matplotlib die nimmt oder wie man die aktualisiert.
 
Zuletzt bearbeitet:

MBProStudent

Neues Mitglied
Thread Starter
Registriert
04.09.2008
Beiträge
14
Danke hab hab jetzt versucht über das Terminal numpy zu installieren bekomme aber jetzt eine neue Fehlermeldung

SystemError: Non-existing /System/Library/Frameworks/Python.framework/Versions/2.5/include/python2.5/Python.h. Perhaps you need to install python-dev|python-devel.

Hab aber python 2.5.1 installiert und in diesem Ordner befindet sich nur die Datei pyconfig.h

Was kann ich den jetzt machen?
 

MBProStudent

Neues Mitglied
Thread Starter
Registriert
04.09.2008
Beiträge
14
Danke hab hab jetzt versucht über das Terminal numpy zu installieren bekomme aber jetzt eine neue Fehlermeldung

SystemError: Non-existing /System/Library/Frameworks/Python.framework/Versions/2.5/include/python2.5/Python.h. Perhaps you need to install python-dev|python-devel.

Hab aber python 2.5.1 installiert und in diesem Ordner befindet sich nur die Datei pyconfig.h

Was kann ich den jetzt machen?
 

MBProStudent

Neues Mitglied
Thread Starter
Registriert
04.09.2008
Beiträge
14
Hab jetzt die Version 2.5.2 installiert. Problem gelöst aber ein neues ist wieder entstanden.

self.build_sources()
File "/Users/xxx/trunk/numpy/distutils/command/build_src.py", line 147, in build_sources
self.build_extension_sources(ext)
File "/Users/xxx/trunk/numpy/distutils/command/build_src.py", line 250, in build_extension_sources
sources = self.generate_sources(sources, ext)
File "/Users/xxx/trunk/numpy/distutils/command/build_src.py", line 307, in generate_sources
source = func(extension, build_dir)
File "numpy/core/setup.py", line 142, in generate_config_h
raise SystemError,"Failed to test configuration. "\
SystemError: Failed to test configuration. See previous error messages for more information.
 

Darii

Aktives Mitglied
Registriert
24.02.2004
Beiträge
2.092
Hast du xcode installiert? Das brauchst du um irgendwas zubauen.
 

MBProStudent

Neues Mitglied
Thread Starter
Registriert
04.09.2008
Beiträge
14
Hab xCode nicht installiert es passiert aber folgendes:
Wenn ich matplotlib über das Terminal installiere mit

cd matplotlib
sudo easy_install matplotlib-0.98.3-py2.5.egg ( sucht im Ordner und nicht online )

dann wird diese Ordner nach /Library/Python/2.5/site-packages verschoben

wenn ich dann numpy-1.2.1-py2.5.dmg ausführe( wird nicht über das Terminal installiert )
dann finde ich den installierten ordner in
/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages

Über Eclipse ist es kein Problem die Pfade manuell zu setzen damit die Ordner gefunden werden.

Mit dem interaktive Modus im Terminal werden aber diese Pfade nicht gefunden. Kann ich die auch da irgend wie selber setzten?
 

Darii

Aktives Mitglied
Registriert
24.02.2004
Beiträge
2.092
Sofern du nix verdrehst, sollten im Terminal eigentlich beide Pfade gefunden werden. Das einzige was sein kann, ist dass evtl. die Reihenfolge in der in den Ordnern nachgeguckt wird eine andere ist. Guck einfach mal, was in sys.path alles drin ist. Ansonsten ließe sich das ganze über die Umgebungsvariable PYTHONPATH anpassen.


PS: Eclipse ist da wirklich sehr komisch was diese Pfade angeht, da würde ich nichts drauf geben.
 
Oben Unten